#!/bin/sh
######################################################################
# HDD log collection shell script
#
# 2008/06/23 Rev.0 T.HAYASHI
######################################################################

HIKISU=""
OS_TYPE=""
COMMAND=""

while [ $1 ]; do
	HIKISU="${HIKISU} ${1}"
	shift
done

OS_TYPE=$(uname -m)
if [ $OS_TYPE == "x86_64" ]; then
	#x64
	cd DiskLogx64
	COMMAND="./S717461020"
	COMMAND="${COMMAND} ${HIKISU} -c MegaCli64 -l libstorelib.so.2.52-0"
else
	#x86
	cd DiskLogx86
	COMMAND="./S717460020"
	COMMAND="${COMMAND} ${HIKISU} -c MegaCli -l libstorelib.so.2.24-0"
fi

$COMMAND
cd - &> /dev/null
